EjbDocletTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.EjbDocletTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb
Class EjbDocletTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xjavadoc.ant.XJavadocTask
                  xdoclet.DocletTask
                      xdoclet.modules.ejb.EjbDocletTask

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

Direct Known Subclasses:
  EjbDocletTask

public class EjbDocletTask
extends DocletTask

This task executes various EJB-specific sub-tasks. Make sure to include the jar file containing Sun's javax.ejb.* classes on the taskdef's classpath.

Version:
  $Revision: 1.13 $
Author:
  Ara Abrahamian (ara_e@email.com), Christoph G. Jung (christoph.jung@infor.de)
ant.element
  name="ejbdoclet" display-name="EJB Task"
created
  April 30, 2001

Nested Class Summary
`static class` | `EjbDocletTask.EjbSpecVersion`

Field Summary

Fields inherited from class xdoclet.DocletTask
`XDOCLET_VERSION`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`EjbDocletTask()`

Method Summary
`String` | `getEjbClassNameSuffix()` Gets the EjbClassNameSuffix attribute of the EjbDocletTask object
`String` | `getEjbSpec()` Gets the EjbSpec attribute of the EjbDocletTask object
`void` | `setEjbClassNameSuffix(String ejbClassNameSuffix)` A comma-separated list of endings which should be removed from the bean class name to generate a bean's name if no name parameter is specified in the ejb.bean tag.
`void` | `setEjbSpec(EjbDocletTask.EjbSpecVersion ejbspec)` The version of EJB spec ejbdoclet should adhere, currently "1.1", "2.0" and "2.1" defined.
`protected void` | `validateOptions()` Called by superclass before start() is called

Methods inherited from class xdoclet.DocletTask
`addConfigParam, addFileset, addPackageSubstitution, addSubTask, addTemplate, addXmlTemplate, checkClass, createDynamicElement, getAddedTags, getConfigParams, getConfigParams, getConfigParamsAsMap, getDestDir, getExcludedTags, getMergeDir, getPackageSubstitutions, getSubTaskName, getSubTasks, isForce, isVerbose, setAddedTags, setDestDir, setDynamicAttribute, setExcludedTags, setExcludePackageNames, setForce, setMergeDir, setPackageNames, setPackageSubstitutions, setVerbose, start, validateSubTasks`

Methods inherited from class xjavadoc.ant.XJavadocTask
`createIgnoredtag, execute, getClasspath, getXJavaDoc, setDocencoding, setEncoding, setIgnoredtags, setValidating`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbDocletTask

    public EjbDocletTask()

Method Detail

### getEjbSpec

    public String getEjbSpec()

  Gets the EjbSpec attribute of the EjbDocletTask object

  Returns:
    The EjbSpec value

### getEjbClassNameSuffix

    public String getEjbClassNameSuffix()

  Gets the EjbClassNameSuffix attribute of the EjbDocletTask object

  Returns:
    The EjbClassNameSuffix value

### setEjbSpec

    public void setEjbSpec(EjbDocletTask.EjbSpecVersion ejbspec)

  The version of EJB spec ejbdoclet should adhere, currently "1.1", "2.0" and "2.1" defined. If, for example, "2.0" specified, then ejbdoclet will generate EJB 2.0-compatible ejb-jar.xml file.

  Parameters:
    `ejbspec` -

### setEjbClassNameSuffix

    public void setEjbClassNameSuffix(String ejbClassNameSuffix)

  A comma-separated list of endings which should be removed from the bean class name to generate a bean's name if no name parameter is specified in the ejb.bean tag.

  Parameters:
    `ejbClassNameSuffix` -

### validateOptions

    protected void validateOptions()
                            throws org.apache.tools.ant.BuildException

  Description copied from class: `DocletTask`
  Called by superclass before start() is called

  Overrides:
    `validateOptions` in class `DocletTask`
  Throws:
    `org.apache.tools.ant.BuildException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD